HomeDirectoryLocationStrategy.Builder (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.io, class: HomeDirectoryLocationStrategy, class: Builder

Package org.apache.commons.configuration2.io

# Class HomeDirectoryLocationStrategy.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<HomeDirectoryLocationStrategy,HomeDirectoryLocationStrategy.Builder>
org.apache.commons.configuration2.io.AbstractFileLocationStrategy.AbstractBuilder<HomeDirectoryLocationStrategy,HomeDirectoryLocationStrategy.Builder>
org.apache.commons.configuration2.io.HomeDirectoryLocationStrategy.Builder

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<HomeDirectoryLocationStrategy>`

Enclosing class:
  `HomeDirectoryLocationStrategy`

public static class HomeDirectoryLocationStrategy.Builder extends AbstractFileLocationStrategy.AbstractBuilder<HomeDirectoryLocationStrategy,HomeDirectoryLocationStrategy.Builder>
Builds new instances of `HomeDirectoryLocationStrategy`.

Since:
  2.15.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HomeDirectoryLocationStrategy`
  `get()`
  `HomeDirectoryLocationStrategy.Builder`
  `setEvaluateBasePath(boolean evaluateBasePath)`
  Sets whether the base path should be evaluated.
  `HomeDirectoryLocationStrategy.Builder`
  `setHomeDirectory(String homeDirectory)`
  Sets the path to the home directory (may be `null`).

  ### Methods inherited from class org.apache.commons.configuration2.io.AbstractFileLocationStrategy.AbstractBuilder

  `setHosts, setHostsRegEx, setSchemes`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public HomeDirectoryLocationStrategy get() throws IOException
    Throws:
      `IOException`

  - ### setEvaluateBasePath

    public HomeDirectoryLocationStrategy.Builder setEvaluateBasePath(boolean evaluateBasePath)
    Sets whether the base path should be evaluated.
    Parameters:
      `evaluateBasePath` - whether the base path should be evaluated.
    Returns:
      `this` instance..

  - ### setHomeDirectory

    public HomeDirectoryLocationStrategy.Builder setHomeDirectory(String homeDirectory)
    Sets the path to the home directory (may be `null`).
    Parameters:
      `homeDirectory` - the path to the home directory (may be `null`)
    Returns:
      `this` instance..